#ifndef LOCK_HH
#define LOCK_HH

#include <string>
#include <map>

#include <ctime>

enum Command {
  INVALID,			// invalid authentication
  LOCK,				// lock screen
  UNLOCK			// unlock screen
};

// note, assumes unsigned int can hold 32 bits (one ipv4 address)!
typedef std::map<unsigned int, time_t> HostMap;

// we don't give a shit of address' endianess, as long as it is always the same..
Command parseCommand(std::string str, std::string password, HostMap& hostInfo, unsigned int address);
std::string  createCommand(Command command, std::string password);

#endif // LOCK_HH
