#include "lock.hh"
#include "network.hh"
#include "config.hh"

#include <unistd.h>
#include <time.h>

#include <iostream>

using namespace std;

int
main(int argc, char** argv)
{
  srand(time(0));
  
  if (argc < 2) {
    cout << "Usage: " << argv[0] << " lock|unlock [host1 [host2]]" << endl;
    cout << "If no hosts have been selected will the packet be broadcasted\n";
    cout << "to the default broadcasta ddress\n";
    return 1;
  }
    
  try {
    int sock;
    string command;

    sock = createUdpSocket(0);
    
    if (string(argv[1]) == "lock") {
      command = createCommand(LOCK, PASSWORD);
    } else if (string(argv[1]) == "unlock") {
      command = createCommand(UNLOCK, PASSWORD);
    } else {
      cout << "Invalid command.\n";
      return 2;
    }

    cout << "Sending command " << command << endl;
    
    if (argc > 2) {
      for (int arg = 2; arg < argc; arg++) {
	sendString(sock, PORT, command, argv[arg]);
      }
    } else {
      sendString(sock, PORT, command);
    }

    close(sock);
  } catch (NetworkException e) {
    cout << "Network exception: " << e.what() << endl;
  }
    
  return 0;
}
