#ifndef NETWORK_HH
#define NETWORK_HH

#include <string>
#include <exception>

#include <netinet/in.h>

class NetworkException: public std::exception {
public:
  NetworkException(std::string error) : m_error(error) {}
  const char* what() const throw() { return m_error.c_str(); }
  ~NetworkException() throw() { }
  
private:
  std::string m_error;
};

int createUdpSocket(int port);
void sendString(int socket, int port, std::string str, std::string host = "");
std::string receiveString(int socket, sockaddr_in* address);

#endif // NETWORK_HH
